<?php

/**
* @author PayPay, PAYPAYUE- Instituição de Pagamento, Unipessoal, Lda
* @package VirtueMart
* @subpackage payment
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* VirtueMart is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See /administrator/components/com_virtuemart/COPYRIGHT.php for copyright notices and details.
*
* http://virtuemart.org
*/

if (!defined('_VALID_MOS') && !defined('_JEXEC')) die('Direct Access to '.basename(__FILE__).' is not allowed.');

class RequestPaymentOrder
{
    /** @var string */
    public $idTransaction;

    /** @var Int */
    public $amount;

    /** @var String */
    public $reference;

    /** @var String */
    public $hash;

    /** @var string */
    public $productCode;

    /** @var string */
    public $productDesc;

    public function __construct(
        $order
    )
    {
        $this->reference    = !empty($order['reference']) ? $order['reference'] : '';
        $this->hash         = !empty($order['hash']) ? $order['hash'] : '';
        $this->amount       = !empty($order['amount']) ? $order['amount'] : '';
        $this->idTransaction = !empty($order['idTransaction']) ? $order['idTransaction'] : '';
        $this->productCode   = !empty($order['productCode']) ? $order['productCode'] : '';
        $this->productDesc   = !empty($order['productDesc']) ? $order['productDesc'] : '';
    }

}
