<?php

/**
* @author PayPay, PAYPAYUE- Instituição de Pagamento, Unipessoal, Lda
* @package VirtueMart
* @subpackage payment
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* VirtueMart is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See /administrator/components/com_virtuemart/COPYRIGHT.php for copyright notices and details.
*
* http://virtuemart.org
*/

if (!defined('_VALID_MOS') && !defined('_JEXEC')) die('Direct Access to '.basename(__FILE__).' is not allowed.');

class ResponseGetPayment {

    /** @var ResponseIntegrationState */
    public $integrationState;

    /** @var Int */
    public $state;

    /** @var Int */
    public $idPayment;

    /** @var Int */
    public $amount;

    /** @var Int */
    public $creditCardPayment;

    /** @var Int */
    public $atmPayment;

    /** @var String */
    public $atmEntity;

    /** @var Int */
    public $mbwPayment;

    /** @var String */
    public $reference;

    /** @var String */
    public $hash;

    /** @var String */
    public $linkPayment;

    /** @var String */
    public $err_code;

    /** @var String */
    public $err_msg;

    /** @var ResponsePaymentOption[] */
    public $paymentOptions;


    public function __construct($params)
    {
        $fields = array(
                        'integrationState',
                        'state',
                        'idPayment',
                        'amount',
                        'creditCardPayment',
                        'atmPayment',
                        'atmEntity',
                        'mbwPayment',
                        'reference',
                        'hash',
                        'linkPayment',
                        'paymentOptions',
                        'err_code',
                        'err_msg',);
        foreach ($fields as $fkey => $fvalue) {
            $this->$fvalue = empty($params[$fvalue]) ? '': $params[$fvalue];
        }
    }

}

?>
